summaryrefslogtreecommitdiffstats
path: root/linhes/linhes-system/lh_system_start.sh
diff options
context:
space:
mode:
authorBritney Fransen <brfransen@gmail.com>2025-01-01 18:40:49 (GMT)
committerBritney Fransen <brfransen@gmail.com>2025-01-01 18:40:49 (GMT)
commite58f6223c877af08f17e103c972c18be656e1b78 (patch)
tree939f9a9908f8afa09338595e3a2a7ba0841f3a48 /linhes/linhes-system/lh_system_start.sh
parentb42c5a107dbfde42ff10aad8f9edc828e557bef5 (diff)
downloadlinhes_pkgbuild-e58f6223c877af08f17e103c972c18be656e1b78.zip
linhes_pkgbuild-e58f6223c877af08f17e103c972c18be656e1b78.tar.gz
linhes_pkgbuild-e58f6223c877af08f17e103c972c18be656e1b78.tar.bz2
linhes-system: lh_system_start.sh: adjust setup error and timeout
Diffstat (limited to 'linhes/linhes-system/lh_system_start.sh')
-rwxr-xr-xlinhes/linhes-system/lh_system_start.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/linhes/linhes-system/lh_system_start.sh b/linhes/linhes-system/lh_system_start.sh
index 3cbf5dc..f77c465 100755
--- a/linhes/linhes-system/lh_system_start.sh
+++ b/linhes/linhes-system/lh_system_start.sh
@@ -55,15 +55,15 @@ function install_lh_apps(){
#check network connection
netwait=0
while ! timeout 1 nc -zw1 1.1.1.1 443; do
- [ $netwait -gt 12 ] && msg "Could not install apps. Check internet connection. Cancelling Setup." && exit 1
- msg "Waiting for internet connectivity..."
+ 1 [ $netwait -gt 60 ] && msg "Cancelling Setup" "Could not connect to the internet to complete setup. Check the internet connection and from Konsole run lh_system_start.sh." && exit 1
+ msg "Waiting for internet connectivity..." "Connect to the internet to complete setup."
((netwait++))
sleep 5
done
msg "Installing apps."
konsole -e /bin/bash -i -c "sudo pacman -Syyy --noconfirm archlinux-keyring && sudo pacman -Syyy --noconfirm mythtv mythplugins-mytharchive mythplugins-mythmusic mythplugins-mythweb && flatpak install tv.plex.PlexHTPC --noninteractive --assumeyes && sudo flatpak override tv.plex.PlexHTPC --filesystem=/run/lirc/lircd"
status=$?
- [ $status -eq 1 ] && msg "Could not install apps. Check internet connection. Cancelling Setup." && exit 1
+ [ $status -eq 1 ] && msg "Cancelling Setup" "Could not connect to the internet to complete setup. Check the internet connection and from Konsole run lh_system_start.sh." && exit 1
gen_lib_xml.py
}